Description

The command given to install the base system with OpenRC at the following URL does not work:
https://wiki.parabola.nu/Installation_Guide#OpenRC

Here is the error message:

# pacstrap /mnt base libelogind
warning: removing 'systemd-libs' from target list because it conflicts with 'libelogind'
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
your—-initfreedom and systemd-nss-myhostname are in conflict

And indeed, pacstrap /mnt base libelogind --print shows that systemd-nss-* and systemd-libs are being selected. | had to use the
command given on https:/wiki.parabola.nu/OpenRC#Base_system, namely:

pacstrap /mnt base elogind libelogind udev-init-scripts your—-initfreedom

The reason why pacstrap /mnt base libelogind does not work is explained on https:/wiki.parabola.nu/OpenRC#Base_system: Note
that although libelogind is pulled by elogind many other packages will try to pull systemd-libs (which is provided by libelogind, but
pacman tries to install systemd-libs when libelogind is not explicitly listed), that's why you must specify it even if elogind is installed
along.

History

#1 - 2020-11-13 06:17 AM - bill-auger

i can not reproduce that - it works as expected from a LivelSO -

make sure that [nonsystemd] is enabled in /etc/pacman.conf; then
run pacman -Syyuu on the host (anytime you modify pacman.conf)

#2 - 2020-11-16 09:38 PM - arnau

I'm sure [nonsystemd] was enabled. Strange that you cannot reproduce it. | will try again when | have some time.

Anyhow, Installation_Guide and OpenRC pages should give the same command to install the base system.

#3 - 2020-12-02 03:46 PM - oaken-source

- Status changed from unconfirmed to not-a-bug

it's been two weeks, closing due to inactivity.
